Parsew
API Reference

Extract branding profile

Analyze a website and extract its complete branding profile — colors, typography, images, components, spacing, personality, and design system. Requesting only `colors` and/or `images` uses heuristic extraction (2 credits). Full analysis costs 5 credits.

POST
/brand

Analyze a website and extract its complete branding profile — colors, typography, images, components, spacing, personality, and design system. Requesting only colors and/or images uses heuristic extraction (2 credits). Full analysis costs 5 credits.

Authorization

bearerAuth
AuthorizationBearer <token>

Secret API key (sr_ prefix). Pass as Authorization: Bearer sr_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.parsew.com/v1/brand" \  -H "Content-Type: application/json" \  -d '{    "url": "https://stripe.com"  }'
{
  "data": {
    "colors": {
      "colorScheme": "light",
      "primary": "string",
      "secondary": "string",
      "accent": "string",
      "background": "string",
      "textPrimary": "string",
      "textSecondary": "string",
      "link": "string",
      "success": "string",
      "warning": "string",
      "error": "string"
    },
    "typography": {
      "fontFamilies": {
        "primary": "string",
        "heading": "string",
        "code": "string"
      },
      "fontStacks": {
        "primary": "string",
        "heading": "string",
        "body": "string"
      },
      "fontSizes": {
        "h1": "string",
        "h2": "string",
        "h3": "string",
        "body": "string",
        "small": "string"
      }
    },
    "images": {
      "logo": "string",
      "logoHref": "string",
      "logoAlt": "string",
      "icon": "string",
      "favicon": "string",
      "ogImage": "string"
    },
    "components": {
      "buttonPrimary": {
        "background": "string",
        "textColor": "string",
        "borderColor": "string",
        "borderRadius": "string",
        "shadow": "string"
      },
      "buttonSecondary": {
        "background": "string",
        "textColor": "string",
        "borderColor": "string",
        "borderRadius": "string",
        "shadow": "string"
      },
      "input": {
        "background": "string",
        "textColor": "string",
        "borderColor": "string",
        "borderRadius": "string"
      }
    },
    "spacing": {
      "baseUnit": 0,
      "borderRadius": "string"
    },
    "personality": {
      "tone": "professional",
      "energy": "low",
      "targetAudience": "string"
    },
    "designSystem": {
      "framework": "tailwind",
      "componentLibrary": "shadcn"
    }
  },
  "warning": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}